Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

public interface ParserConstants

Field Summary
`static int` | `ALPHA_CHAR`
`static int` | `ALPHANUM_CHAR`
`static int` | `COMMA`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DIRECTIVE`
`static int` | `DIRECTIVE_CHAR`
`static int` | `DIRECTIVE_TERMINATOR`
`static int` | `DIVIDE`
`static int` | `DOLLAR`
`static int` | `DOLLARBANG`
`static int` | `DOT`
`static int` | `DOUBLE_ESCAPE`
`static int` | `DOUBLEDOT`
`static int` | `ELSE_DIRECTIVE`
`static int` | `ELSEIF_DIRECTIVE`
`static int` | `END`
`static int` | `EOF`
`static int` | `EQUALS`
`static int` | `ESCAPE`
`static int` | `ESCAPE_DIRECTIVE`
`static int` | `FALSE`
`static int` | `FORMAL_COMMENT`
`static int` | `HASH`
`static int` | `IDENTIFIER`
`static int` | `IDENTIFIER_CHAR`
`static int` | `IF_DIRECTIVE`
`static int` | `IN_FORMAL_COMMENT`
`static int` | `IN_MULTI_LINE_COMMENT`
`static int` | `IN_SINGLE_LINE_COMMENT`
`static int` | `LBRACKET`
`static int` | `LCURLY`
`static int` | `LETTER`
`static int` | `LOGICAL_AND`
`static int` | `LOGICAL_EQUALS`
`static int` | `LOGICAL_GE`
`static int` | `LOGICAL_GT`
`static int` | `LOGICAL_LE`
`static int` | `LOGICAL_LT`
`static int` | `LOGICAL_NOT`
`static int` | `LOGICAL_NOT_EQUALS`
`static int` | `LOGICAL_OR`
`static int` | `LPAREN`
`static int` | `MINUS`
`static int` | `MODULUS`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `MULTIPLY`
`static int` | `NEWLINE`
`static int` | `NUMBER_LITERAL`
`static int` | `PLUS`
`static int` | `PRE_DIRECTIVE`
`static int` | `RBRACKET`
`static int` | `RCURLY`
`static int` | `REFERENCE`
`static int` | `REFERENCE_TERMINATOR`
`static int` | `REFMOD2`
`static int` | `REFMOD2_RPAREN`
`static int` | `REFMODIFIER`
`static int` | `RPAREN`
`static int` | `SET_DIRECTIVE`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `STOP_DIRECTIVE`
`static int` | `STRING_LITERAL`
`static int` | `TEXT`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRUE`
`static int` | `WHITESPACE`
`static int` | `WORD`

Field Detail

### EOF

    public static final int EOF

### LBRACKET

    public static final int LBRACKET

### RBRACKET

    public static final int RBRACKET

### COMMA

    public static final int COMMA

### DOUBLEDOT

    public static final int DOUBLEDOT

### LPAREN

    public static final int LPAREN

### RPAREN

    public static final int RPAREN

### REFMOD2_RPAREN

    public static final int REFMOD2_RPAREN

### ESCAPE_DIRECTIVE

    public static final int ESCAPE_DIRECTIVE

### SET_DIRECTIVE

    public static final int SET_DIRECTIVE

### DOLLAR

    public static final int DOLLAR

### DOLLARBANG

    public static final int DOLLARBANG

### HASH

    public static final int HASH

### DOUBLE_ESCAPE

    public static final int DOUBLE_ESCAPE

### ESCAPE

    public static final int ESCAPE

### TEXT

    public static final int TEXT

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

### FORMAL_COMMENT

    public static final int FORMAL_COMMENT

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

### WHITESPACE

    public static final int WHITESPACE

### STRING_LITERAL

    public static final int STRING_LITERAL

### TRUE

    public static final int TRUE

### FALSE

    public static final int FALSE

### NEWLINE

    public static final int NEWLINE

### MINUS

    public static final int MINUS

### PLUS

    public static final int PLUS

### MULTIPLY

    public static final int MULTIPLY

### DIVIDE

    public static final int DIVIDE

### MODULUS

    public static final int MODULUS

### LOGICAL_AND

    public static final int LOGICAL_AND

### LOGICAL_OR

    public static final int LOGICAL_OR

### LOGICAL_LT

    public static final int LOGICAL_LT

### LOGICAL_LE

    public static final int LOGICAL_LE

### LOGICAL_GT

    public static final int LOGICAL_GT

### LOGICAL_GE

    public static final int LOGICAL_GE

### LOGICAL_EQUALS

    public static final int LOGICAL_EQUALS

### LOGICAL_NOT_EQUALS

    public static final int LOGICAL_NOT_EQUALS

### LOGICAL_NOT

    public static final int LOGICAL_NOT

### EQUALS

    public static final int EQUALS

### END

    public static final int END

### IF_DIRECTIVE

    public static final int IF_DIRECTIVE

### ELSEIF_DIRECTIVE

    public static final int ELSEIF_DIRECTIVE

### ELSE_DIRECTIVE

    public static final int ELSE_DIRECTIVE

### STOP_DIRECTIVE

    public static final int STOP_DIRECTIVE

### DIGIT

    public static final int DIGIT

### NUMBER_LITERAL

    public static final int NUMBER_LITERAL

### LETTER

    public static final int LETTER

### DIRECTIVE_CHAR

    public static final int DIRECTIVE_CHAR

### WORD

    public static final int WORD

### ALPHA_CHAR

    public static final int ALPHA_CHAR

### ALPHANUM_CHAR

    public static final int ALPHANUM_CHAR

### IDENTIFIER_CHAR

    public static final int IDENTIFIER_CHAR

### IDENTIFIER

    public static final int IDENTIFIER

### DOT

    public static final int DOT

### LCURLY

    public static final int LCURLY

### RCURLY

    public static final int RCURLY

### REFERENCE_TERMINATOR

    public static final int REFERENCE_TERMINATOR

### DIRECTIVE_TERMINATOR

    public static final int DIRECTIVE_TERMINATOR

### DIRECTIVE

    public static final int DIRECTIVE

### REFMOD2

    public static final int REFMOD2

### REFMODIFIER

    public static final int REFMODIFIER

### DEFAULT

    public static final int DEFAULT

### PRE_DIRECTIVE

    public static final int PRE_DIRECTIVE

### REFERENCE

    public static final int REFERENCE

### IN_MULTI_LINE_COMMENT

    public static final int IN_MULTI_LINE_COMMENT

### IN_FORMAL_COMMENT

    public static final int IN_FORMAL_COMMENT

### IN_SINGLE_LINE_COMMENT

    public static final int IN_SINGLE_LINE_COMMENT

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.